package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.TerminalInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface TerminalInfoService {
	TerminalInfo get(String id);
	boolean exist(String id);
	int insert(TerminalInfo model);
	int update(TerminalInfo model);
	int delete(String id);
	int getCountByName(String name, String excludeId);
	List<TerminalInfo> list();
	Page<TerminalInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    void updateActiveByTerminalNo(String terminalNo, boolean active);
}